use crate::{config, pack::Modpack};
use colored::*;
use inquire::Select;

pub async fn remove() {
    let mut config = config::Config::get().unwrap();

    let modpack = Modpack::from_config(&config).await.unwrap();

    let project = Select::new("Select a mod to remove", modpack.mods.values().collect())
        .prompt()
        .unwrap();

    config.projects.remove(&project.project_id);

    config.save().unwrap();
}
